{
    attributes = (
        {
            columnName = "ICOR_ID"; 
            externalType = NUMBER; 
            name = icorId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ICOR_MONTANT"; 
            externalType = NUMBER; 
            name = icorMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ICOR_POURCENTAGE"; 
            externalType = NUMBER; 
            name = icorPourcentage; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "INVC_ID"; 
            externalType = NUMBER; 
            name = invcId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORGF_ID"; 
            externalType = NUMBER; 
            name = orgfId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TIT_ID"; 
            externalType = NUMBER; 
            name = titId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (icorId, icorMontant, invcId, orgfId, titId); 
    className = "org.cocktail.corossol.serveur.eof.metier.EOInventaireComptableOrig"; 
    classProperties = (
        amortissementOrigines, 
        icorMontant, 
        icorPourcentage, 
        inventaireComptable, 
        origineFinancement, 
        titre
    ); 
    externalName = "JEFY_INVENTAIRE.INVENTAIRE_COMPTABLE_ORIG"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            amortissementOrigines, 
            icorMontant, 
            icorPourcentage, 
            inventaireComptable, 
            origineFinancement, 
            titre
        ); 
        "_javaClientClassName" = "org.cocktail.corossol.client.eof.metier.EOInventaireComptableOrig"; 
    }; 
    name = InventaireComptableOrig; 
    primaryKeyAttributes = (icorId); 
    relationships = (
        {
            destination = AmortissementOrigine; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = icorId; sourceAttribute = icorId; }); 
            name = amortissementOrigines; 
        }, 
        {
            destination = InventaireComptable; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = invcId; sourceAttribute = invcId; }); 
            name = inventaireComptable; 
        }, 
        {
            destination = OrigineFinancement; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgfId; sourceAttribute = orgfId; }); 
            name = origineFinancement; 
        }, 
        {
            destination = Titre; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = titId; sourceAttribute = titId; }); 
            name = titre; 
        }
    ); 
    userInfo = {fetchSpecificationDictionary = {}; }; 
}
